Qt 5.7 | Qt Charts | C++ Classes | QAreaLegendMarker

Qt 5.7.1 Reference Documentation

# QAreaLegendMarker Class

QLegendMarker subclass for area series. More...

Header: | #include <QAreaLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QAreaLegendMarker()

## Reimplemented Public Functions

virtual QAreaSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

QLegendMarker subclass for area series.

QAreaLegendMarker is related to QAreaSeries. One QAreaSeries results in one marker.

See also QLegend and QAreaSeries.

## Member Function Documentation

### `[virtual]` QAreaLegendMarker::~QAreaLegendMarker()

Destructor

### `[virtual]` QAreaSeries *QAreaLegendMarker::series()

Reimplemented from QLegendMarker::series().

Returns related series of marker

### `[virtual]` LegendMarkerType QAreaLegendMarker::type()

Reimplemented from QLegendMarker::type().

Returns QLegendMarker::LegendMarkerTypeArea